Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin.common
Class AbstractManagedPlugin

    java.lang.Object
      com.bea.wlcp.wlng.api.plugin.ManagedPlugin
          com.bea.wlcp.wlng.api.plugin.common.AbstractManagedPlugin

All Implemented Interfaces:
  ManagedPluginService, PluginInstance, PluginInstanceFactory, PluginService, PluginServiceLifecycle

Deprecated. Use instead `ManagedPluginService`. AbstractManagedPlugin is a helper class for implementing a PluginService. A plug-in that implements this interface will have one plug-in instance created if it registers any north or south interfaces.

public abstract class AbstractManagedPlugin
extends ManagedPlugin
implements ManagedPluginService

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`protected boolean` | `active` Deprecated.
`protected ServiceContext` | `svcCtx` Deprecated.
`protected WorkContextMap` | `wcm` Deprecated.

Fields inherited from interface com.bea.wlcp.wlng.api.plugin.PluginInstance
`MATCH_OPTIONAL, MATCH_REMOVE, MATCH_REQUIRED`

Constructor Summary
`AbstractManagedPlugin(String[] supportedSchemes)` Deprecated.

Method Summary
`void` | `activated()` Deprecated.
`ManagedPluginInstance` | `createInstance(String pluginId)` Deprecated.
`void` | `deactivated()` Deprecated.
`void` | `doActivated()` Deprecated.
`void` | `doDeactivated()` Deprecated.
`void` | `doStarted()` Deprecated.
`void` | `doStopped()` Deprecated.
`String` | `getId()` Deprecated.
`String` | `getNetworkProtocol()` Deprecated. Gives a descriptive name for the supported network protocol.
`PluginPool` | `getPool()` Deprecated.
`abstract ServiceType` | `getServiceType()` Deprecated.
`void` | `handleForceSuspending()` Deprecated. Called when a FORCE STOP/SHUTDOWN have been issued.
`void` | `handleResuming()` Deprecated.
`void` | `handleSuspending(CompletionBarrier barrier)` Deprecated.
`void` | `init(String id, PluginPool pool)` Deprecated.
`void` | `setServiceContext(ServiceContext serviceContext)` Deprecated.
`void` | `started()` Deprecated.
`void` | `stopped()` Deprecated.

Methods inherited from class com.bea.wlcp.wlng.api.plugin.ManagedPlugin
`customMatch, customMatchCriteria, getNorthInterfaces, getSouthInterfaces, getSupportedSchemes, isActive, isConnected, isSchemeSupported, registerNorthInterface, registerNorthInterface, registerNorthInterfaceCallback, registerSouthInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.wlcp.wlng.api.plugin.PluginService
`getSupportedSchemes`

Field Detail

### active

    protected boolean active

  Deprecated.

### svcCtx

    protected ServiceContext svcCtx

  Deprecated.

### wcm

    protected WorkContextMap wcm

  Deprecated.

Constructor Detail

### AbstractManagedPlugin

    public AbstractManagedPlugin(String[] supportedSchemes)

  Deprecated.

Method Detail

### activated

    public final void activated()
                         throws ServiceDeploymentException

  Deprecated.
  Throws:
    `ServiceDeploymentException`

### createInstance

    public ManagedPluginInstance createInstance(String pluginId)
                                         throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginInstanceFactory`
  Creates a new instance for this plug-in.

  Specified by:
    `createInstance` in interface `PluginInstanceFactory`
  Parameters:
    `pluginId` - The id of the instance.
  Returns:
    A new plug-in instance.
  Throws:
    `DeploymentException`

### deactivated

    public final void deactivated()
                           throws ServiceDeploymentException

  Deprecated.
  Throws:
    `ServiceDeploymentException`
  See Also:
    `com.incomit.slee.ServiceDeployable#deactivated()`

### doActivated

    public void doActivated()
                     throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  The plug-in should continue activation and become visible without accepting traffic (register MBeans, etc).

  Specified by:
    `doActivated` in interface `PluginServiceLifecycle`
  Throws:
    `DeploymentException` - Exception during stop that will return the plug-in to STARTED state.
  See Also:
    `PluginServiceLifecycle.doActivated()`

### doDeactivated

    public void doDeactivated()
                       throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  The plug-in should deactivate itself (unregister MBeans etc).

  Specified by:
    `doDeactivated` in interface `PluginServiceLifecycle`
  Throws:
    `DeploymentException` - Exception during deactivate that will return the plug-in to STARTED state.
  See Also:
    `PluginServiceLifecycle.doDeactivated()`

### doStarted

    public void doStarted()
                   throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  The plug-in should perform as much initialization as possible without be externally visible (read config data, create internal object, initialize stores, etc).

  Specified by:
    `doStarted` in interface `PluginServiceLifecycle`
  Throws:
    `DeploymentException` - Exception during start that will cause the plug-in to be returned to NEW state.
  See Also:
    `PluginServiceLifecycle.doStarted()`

### doStopped

    public void doStopped()
                   throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  The plug-in should make all cleanup nessesary to be available for garbage collection.

  Specified by:
    `doStopped` in interface `PluginServiceLifecycle`
  Throws:
    `DeploymentException` - Exception during stop that will return the plug-in to NEW state.
  See Also:
    `PluginServiceLifecycle.doStopped()`

### getId

    public final String getId()

  Deprecated.

### getNetworkProtocol

    public String getNetworkProtocol()

  Deprecated.
  Description copied from interface: `PluginService`
  Gives a descriptive name for the supported network protocol. For example "SMPP v3.4"

  Specified by:
    `getNetworkProtocol` in interface `PluginService`
  Returns:
    The supported network protocol.

### getPool

    public final PluginPool getPool()

  Deprecated.

### getServiceType

    public abstract ServiceType getServiceType()

  Deprecated.
  Description copied from interface: `PluginService`
  The plugin must return its service type. It is used when registering the plugin with the plugin manager.

  Specified by:
    `getServiceType` in interface `PluginService`
  Returns:
    The service type
  See Also:
    `PluginService.getServiceType()`

### handleForceSuspending

    public void handleForceSuspending()

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  Called when a FORCE STOP/SHUTDOWN have been issued. The plug-in shall in a best effort close all network connections and clean up any resources used in order to minimize traffic loss. The plug-in transitions to ACTIVE (ADMIN) state in which is should not process any traffic. It is up to the plug-in to transition all of it's instances to the appropriate state.

  Specified by:
    `handleForceSuspending` in interface `PluginServiceLifecycle`
  See Also:
    `PluginServiceLifecycle.handleForceSuspending()`

### handleResuming

    public void handleResuming()
                        throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  Transitions the plug-in from ACTIVE (ADMIN) to ACTIVE (RUNNING) state where it begins to accept traffic. The plug-in should begin the communication toward the network in a protocol specfic way. It is up to the plug-in to transition all of it's instances to the appropriate state.

  Specified by:
    `handleResuming` in interface `PluginServiceLifecycle`
  Throws:
    `DeploymentException` - This causes the current plug-in and others that are part of the same communication service to fail transition into ACTIVE (RUNNING) state.
  See Also:
    `PluginServiceLifecycle.handleResuming()`

### handleSuspending

    public void handleSuspending(CompletionBarrier barrier)
                          throws DeploymentException

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  Called in a normal re-deployment when the plug-in is taken from ACTIVE (RUNNING) to ACTIVE (ADMIN) state. Use the barrier to notify when all cleanup is done. The plug-in transitions to ADMIN state in which is should not process any traffic. It is up to the plug-in to transition all of it's instances to the appropriate state. All the CompletionBarrierCllback object must be obtained before this method returns. The actual completion could be saignaled asyncronously.

  Specified by:
    `handleSuspending` in interface `PluginServiceLifecycle`
  Parameters:
    `barrier` - Used to register for a callback object that later should be called asynchronously to indicate that the plug-in has completed all in-flight traffic and is ready to be undeployed.
  Throws:
    `DeploymentException` - In case of internal errors.
  See Also:
    `PluginServiceLifecycle.handleSuspending(com.bea.wlcp.wlng.api.plugin.CompletionBarrier)`

### init

    public final void init(String id,
                           PluginPool pool)

  Deprecated.
  Description copied from interface: `PluginServiceLifecycle`
  Initializes the plug-in service with it's id and a reference to it's plug-in pool

  Specified by:
    `init` in interface `PluginServiceLifecycle`
  Parameters:
    `id` - The id for this plug-in service
    `pool` - The pool associated with this plug-in. It can be used to retrieve registered plug-in instances.

### setServiceContext

    public final void setServiceContext(ServiceContext serviceContext)

  Deprecated.

### started

    public final void started()
                       throws ServiceDeploymentException

  Deprecated.
  Throws:
    `ServiceDeploymentException`

### stopped

    public final void stopped()
                       throws ServiceDeploymentException

  Deprecated.
  Throws:
    `ServiceDeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD